Page MenuHomePhabricator

Remove feature flag for the bugfix for wbeditentity setting aliases to empty array
Closed, ResolvedPublic

Description

This bugfix was added with a feature flag. After it has deployed on production with T223303: on production enable bugfix for wbeditentity setting aliases to empty array, this feature flag can be removed.

acceptance criteria

  • feature flag is no longer present in production code
  • feature flag is no longer present in tests
  • feature flag is no longer present in config (Wikibase.php, InitialiseSettings.php, InitialiseSettings-labs.php)

Details

Related Gerrit Patches:

Event Timeline

Michael created this task.May 14 2019, 5:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2019, 5:08 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:28 PM

Change 519224 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] Remove feature flag for the bugfix for wbeditentity setting aliases to empty array

https://gerrit.wikimedia.org/r/519224

Change 519224 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove feature flag for the bugfix for wbeditentity setting aliases to empty array

https://gerrit.wikimedia.org/r/519224

alaa_wmde closed this task as Resolved.Jul 5 2019, 1:44 PM